SystemOrganization addCategory: #ConfigurationOfCormas!

Object subclass: #ConfigurationOfCormas
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfCormas'!

!ConfigurationOfCormas class methodsFor: 'development support' stamp: 'SergeStinckwich 1/6/2015 10:28'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfCormas class methodsFor: 'private' stamp: 'SergeStinckwich 1/6/2015 10:28'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfCormas class methodsFor: 'metacello tool support' stamp: 'SergeStinckwich 1/6/2016 12:30'!
catalogContactInfo
	^ 'Serge Stinckwich <serge.stinckwich@gmail.com>'! !

!ConfigurationOfCormas class methodsFor: 'metacello tool support' stamp: 'SergeStinckwich 1/6/2016 12:31'!
catalogDescription
	^ 'CORMAS is an agent-based simulation framework. More info on: https://github.com/cormas/cormas'! !

!ConfigurationOfCormas class methodsFor: 'metacello tool support' stamp: 'SergeStinckwich 1/6/2016 12:32'!
catalogKeywords
	^ #('simulation' 'agent' 'Roassal')! !

!ConfigurationOfCormas class methodsFor: 'private' stamp: 'SergeStinckwich 1/6/2015 10:28'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfCormas class methodsFor: 'private' stamp: 'SergeStinckwich 1/6/2015 10:28'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfCormas class methodsFor: 'metacello tool support' stamp: 'SergeStinckwich 1/6/2015 10:28'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfCormas class methodsFor: 'loading' stamp: 'SergeStinckwich 1/6/2015 10:28'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfCormas class methodsFor: 'loading' stamp: 'SergeStinckwich 1/6/2015 10:28'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfCormas class methodsFor: 'loading' stamp: 'SergeStinckwich 1/6/2015 10:28'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfCormas class methodsFor: 'accessing' stamp: 'SergeStinckwich 1/6/2015 10:28'!
project

	^self new project! !

!ConfigurationOfCormas class methodsFor: 'development support' stamp: 'SergeStinckwich 1/6/2015 10:28'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfCormas methodsFor: 'baselines' stamp: 'SergeStinckwich 1/6/2015 11:05'!
baseline01: spec
	<version: '0.1-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://smalltalkhub.com/mc/SergeStinckwich/CORMAS/main'.
		spec 
			package: 'Cormas-Core';
			package: 'Cormas-Tests-Core';
			package: 'Cormas-model-ECEC'. ].
! !

!ConfigurationOfCormas methodsFor: 'baselines' stamp: 'SergeStinckwich 4/2/2015 13:34'!
baseline02: spec
	<version: '0.2-baseline'>
	spec
		for: #common
		do: [ 
			spec blessing: #baseline.
			spec repository: 'http://smalltalkhub.com/mc/SergeStinckwich/CORMAS/main'.
			spec
				package: 'Cormas-Core';
				package: 'Cormas-HotDraw-Tools';
				package: 'Cormas-Tests-Core';
				package: 'Cormas-Model-ECEC';
				package: 'Cormas-Model-Conway';
				package: 'Cormas-Model-FireAutomata' ]! !

!ConfigurationOfCormas methodsFor: 'baselines' stamp: 'SergeStinckwich 4/7/2015 07:50'!
baseline03: spec
	<version: '0.3-baseline'>
	spec
		for: #common
		do: [ 
			spec blessing: #baseline.
			spec repository: 'http://smalltalkhub.com/mc/SergeStinckwich/CORMAS/main'.
			spec
				package: 'Cormas-Core';
				package: 'Cormas-HotDraw-Tools';
				package: 'Cormas-Model-ECEC';
				package: 'Cormas-Model-Conway';
				package: 'Cormas-Model-FireAutomata' ]! !

!ConfigurationOfCormas methodsFor: 'baselines' stamp: 'SergeStinckwich 6/2/2015 09:14'!
baseline04: spec
	<version: '0.4-baseline'>
	spec
		for: #common
		do: [ 
			spec blessing: #baseline.
			spec repository: 'http://smalltalkhub.com/mc/SergeStinckwich/CORMAS/main'.
			spec
				package: 'Cormas-Core';
				package: 'Cormas-Model-ECEC';
				package: 'Cormas-Model-Conway';
				package: 'Cormas-Model-FireAutomata' ]! !

!ConfigurationOfCormas methodsFor: 'accessing' stamp: 'SergeStinckwich 1/6/2015 10:28'!
customProjectAttributes
	 "Edit to return a collection of any custom attributes e.g. for conditional loading: Array with: #'Condition1' with: #'Condition2.
	For more information see: http://code.google.com/p/metacello/wiki/CustomProjectAttrributes"

	^ #().! !

!ConfigurationOfCormas methodsFor: 'symbolic versions' stamp: 'SergeStinckwich 6/2/2015 09:15'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '0.4-baseline'.
! !

!ConfigurationOfCormas methodsFor: 'accessing' stamp: 'SergeStinckwich 1/6/2015 10:28'!
project

	^ project ifNil: [ 
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		project := MetacelloMCProject new projectAttributes: self customProjectAttributes. 
		(Smalltalk at: #MetacelloVersionConstructor) on: self project: project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfCormas methodsFor: 'symbolic versions' stamp: 'SergeStinckwich 6/2/2015 09:15'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '0.14'
! !

!ConfigurationOfCormas methodsFor: 'versions' stamp: 'SergeStinckwich 4/22/2015 09:36'!
version010: spec
	<version: '0.10' imports: #('0.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.10'.
		spec author: 'SergeStinckwich'.
		spec timestamp: '4/21/2015 17:20'.
		spec 
			package: 'Cormas-Core' with: 'Cormas-Core-SergeStinckwich.75';
			package: 'Cormas-HotDraw-Tools' with: 'Cormas-HotDraw-Tools-SergeStinckwich.5';
			package: 'Cormas-Model-ECEC' with: 'Cormas-Model-ECEC-SergeStinckwich.5';
			package: 'Cormas-Model-Conway' with: 'Cormas-Model-Conway-SergeStinckwich.5';
			package: 'Cormas-Model-FireAutomata' with: 'Cormas-Model-FireAutomata-SergeStinckwich.6'. ]
! !

!ConfigurationOfCormas methodsFor: 'versions' stamp: 'SergeStinckwich 4/22/2015 09:45'!
version011: spec
	<version: '0.11' imports: #('0.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.11'.
		spec author: 'SergeStinckwich'.
		spec timestamp: '4/22/2015 09:43'.
		spec 
			package: 'Cormas-Core' with: 'Cormas-Core-SergeStinckwich.76';
			package: 'Cormas-HotDraw-Tools' with: 'Cormas-HotDraw-Tools-SergeStinckwich.5';
			package: 'Cormas-Model-ECEC' with: 'Cormas-Model-ECEC-SergeStinckwich.5';
			package: 'Cormas-Model-Conway' with: 'Cormas-Model-Conway-SergeStinckwich.5';
			package: 'Cormas-Model-FireAutomata' with: 'Cormas-Model-FireAutomata-SergeStinckwich.6'. ]! !

!ConfigurationOfCormas methodsFor: 'versions' stamp: 'SergeStinckwich 5/26/2015 16:58'!
version012: spec
	<version: '0.12' imports: #('0.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.12'.
		spec author: 'SergeStinckwich'.
		spec timestamp: '5/26/2015 16:58'.
		spec 
			package: 'Cormas-Core' with: 'Cormas-Core-SergeStinckwich.91';
			package: 'Cormas-HotDraw-Tools' with: 'Cormas-HotDraw-Tools-SergeStinckwich.5';
			package: 'Cormas-Model-ECEC' with: 'Cormas-Model-ECEC-SergeStinckwich.10';
			package: 'Cormas-Model-Conway' with: 'Cormas-Model-Conway-SergeStinckwich.5';
			package: 'Cormas-Model-FireAutomata' with: 'Cormas-Model-FireAutomata-SergeStinckwich.9'. ]! !

!ConfigurationOfCormas methodsFor: 'versions' stamp: 'SergeStinckwich 5/29/2015 07:29'!
version013: spec
	<version: '0.13' imports: #('0.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.13'.
		spec author: 'SergeStinckwich'.
		spec timestamp: '5/29/2015 07:28'.
		spec 
			package: 'Cormas-Core' with: 'Cormas-Core-SergeStinckwich.100';
			package: 'Cormas-HotDraw-Tools' with: 'Cormas-HotDraw-Tools-SergeStinckwich.5';
			package: 'Cormas-Model-ECEC' with: 'Cormas-Model-ECEC-SergeStinckwich.10';
			package: 'Cormas-Model-Conway' with: 'Cormas-Model-Conway-SergeStinckwich.5';
			package: 'Cormas-Model-FireAutomata' with: 'Cormas-Model-FireAutomata-SergeStinckwich.9'. ]! !

!ConfigurationOfCormas methodsFor: 'versions' stamp: 'SergeStinckwich 6/2/2015 09:30'!
version014: spec
	<version: '0.14' imports: #('0.4-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.14'.
		spec author: 'SergeStinckwich'.
		spec timestamp: '6/2/2015 09:14'.
		spec 
			package: 'Cormas-Core' with: 'Cormas-Core-SergeStinckwich.110';
			package: 'Cormas-Model-ECEC' with: 'Cormas-Model-ECEC-SergeStinckwich.12';
			package: 'Cormas-Model-Conway' with: 'Cormas-Model-Conway-SergeStinckwich.7';
			package: 'Cormas-Model-FireAutomata' with: 'Cormas-Model-FireAutomata-SergeStinckwich.13'. ]! !

!ConfigurationOfCormas methodsFor: 'versions' stamp: 'SergeStinckwich 1/6/2015 10:33'!
version01: spec
	<version: '0.1' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.1'.
		spec author: 'SergeStinckwich'.
		spec timestamp: '1/6/2015 10:33'.
		spec 
			package: 'Cormas-Core' with: 'Cormas-Core-SergeStinckwich.5';
			package: 'Cormas-Tests-Core' with: 'Cormas-Tests-Core-SergeStinckwich.2';
			package: 'Cormas-model-ECEC' with: 'Cormas-model-ECEC-SergeStinckwich.2'. ].
! !

!ConfigurationOfCormas methodsFor: 'versions' stamp: 'SergeStinckwich 4/2/2015 20:04'!
version02: spec
	<version: '0.2' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.2'.
		spec author: 'SergeStinckwich'.
		spec timestamp: '3/31/2015 19:30'.
		spec 
			package: 'Cormas-Core' with: 'Cormas-Core-SergeStinckwich.34';
			package: 'Cormas-HotDraw-Tools' with: 'Cormas-HotDraw-Tools-SergeStinckwich.4';
			package: 'Cormas-Tests-Core' with: 'Cormas-Tests-Core-SergeStinckwich.5';
			package: 'Cormas-Model-ECEC' with: 'Cormas-model-ECEC-SergeStinckwich.4';
			package: 'Cormas-Model-Conway' with: 'Cormas-Model-Conway-SergeStinckwich.3';
			package: 'Cormas-Model-FireAutomata' with: 'Cormas-Model-FireAutomata-SergeStinckwich.3'. ].
! !

!ConfigurationOfCormas methodsFor: 'versions' stamp: 'SergeStinckwich 4/2/2015 20:04'!
version03: spec
	<version: '0.3' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.3'.
		spec author: 'SergeStinckwich'.
		spec timestamp: '4/1/2015 15:54'.
		spec 
			package: 'Cormas-Core' with: 'Cormas-Core-SergeStinckwich.35';
			package: 'Cormas-HotDraw-Tools' with: 'Cormas-HotDraw-Tools-SergeStinckwich.4';
			package: 'Cormas-Tests-Core' with: 'Cormas-Tests-Core-SergeStinckwich.5';
			package: 'Cormas-Model-ECEC' with: 'Cormas-model-ECEC-SergeStinckwich.4';
			package: 'Cormas-Model-Conway' with: 'Cormas-Model-Conway-SergeStinckwich.3';
			package: 'Cormas-Model-FireAutomata' with: 'Cormas-Model-FireAutomata-SergeStinckwich.3'. ].
! !

!ConfigurationOfCormas methodsFor: 'versions' stamp: 'SergeStinckwich 4/2/2015 20:04'!
version04: spec
	<version: '0.4' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.4'.
		spec author: 'SergeStinckwich'.
		spec timestamp: '4/2/2015 10:26'.
		spec 
			package: 'Cormas-Core' with: 'Cormas-Core-SergeStinckwich.37';
			package: 'Cormas-HotDraw-Tools' with: 'Cormas-HotDraw-Tools-SergeStinckwich.4';
			package: 'Cormas-Tests-Core' with: 'Cormas-Tests-Core-SergeStinckwich.5';
			package: 'Cormas-Model-ECEC' with: 'Cormas-model-ECEC-SergeStinckwich.4';
			package: 'Cormas-Model-Conway' with: 'Cormas-Model-Conway-SergeStinckwich.3';
			package: 'Cormas-Model-FireAutomata' with: 'Cormas-Model-FireAutomata-SergeStinckwich.3'. ].
! !

!ConfigurationOfCormas methodsFor: 'versions' stamp: 'SergeStinckwich 4/2/2015 13:39'!
version05: spec
	<version: '0.5' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.5'.
		spec author: 'SergeStinckwich'.
		spec timestamp: '4/2/2015 13:31'.
		spec 
			package: 'Cormas-Core' with: 'Cormas-Core-SergeStinckwich.38';
			package: 'Cormas-HotDraw-Tools' with: 'Cormas-HotDraw-Tools-SergeStinckwich.4';
			package: 'Cormas-Tests-Core' with: 'Cormas-Tests-Core-SergeStinckwich.5';
			package: 'Cormas-Model-ECEC' with: 'Cormas-model-ECEC-SergeStinckwich.5';
			package: 'Cormas-Model-Conway' with: 'Cormas-Model-Conway-SergeStinckwich.3';
			package: 'Cormas-Model-FireAutomata' with: 'Cormas-Model-FireAutomata-SergeStinckwich.3'. ].
! !

!ConfigurationOfCormas methodsFor: 'versions' stamp: 'SergeStinckwich 4/2/2015 20:02'!
version06: spec
	<version: '0.6' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.6'.
		spec author: 'SergeStinckwich'.
		spec timestamp: '4/2/2015 20:02'.
		spec 
			package: 'Cormas-Core' with: 'Cormas-Core-SergeStinckwich.43';
			package: 'Cormas-HotDraw-Tools' with: 'Cormas-HotDraw-Tools-SergeStinckwich.5';
			package: 'Cormas-Tests-Core' with: 'Cormas-Tests-Core-SergeStinckwich.5';
			package: 'Cormas-Model-ECEC' with: 'Cormas-Model-ECEC-SergeStinckwich.5';
			package: 'Cormas-Model-Conway' with: 'Cormas-Model-Conway-SergeStinckwich.3';
			package: 'Cormas-Model-FireAutomata' with: 'Cormas-Model-FireAutomata-SergeStinckwich.5'. ].
! !

!ConfigurationOfCormas methodsFor: 'versions' stamp: 'SergeStinckwich 4/2/2015 20:55'!
version07: spec
	<version: '0.7' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.7'.
		spec author: 'SergeStinckwich'.
		spec timestamp: '4/2/2015 20:55'.
		spec 
			package: 'Cormas-Core' with: 'Cormas-Core-SergeStinckwich.44';
			package: 'Cormas-HotDraw-Tools' with: 'Cormas-HotDraw-Tools-SergeStinckwich.5';
			package: 'Cormas-Tests-Core' with: 'Cormas-Tests-Core-SergeStinckwich.6';
			package: 'Cormas-Model-ECEC' with: 'Cormas-Model-ECEC-SergeStinckwich.5';
			package: 'Cormas-Model-Conway' with: 'Cormas-Model-Conway-SergeStinckwich.5';
			package: 'Cormas-Model-FireAutomata' with: 'Cormas-Model-FireAutomata-SergeStinckwich.6'. ].
! !

!ConfigurationOfCormas methodsFor: 'versions' stamp: 'SergeStinckwich 4/2/2015 21:43'!
version08: spec
	<version: '0.8' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.8'.
		spec author: 'SergeStinckwich'.
		spec timestamp: '4/2/2015 21:43'.
		spec 
			package: 'Cormas-Core' with: 'Cormas-Core-SergeStinckwich.46';
			package: 'Cormas-HotDraw-Tools' with: 'Cormas-HotDraw-Tools-SergeStinckwich.5';
			package: 'Cormas-Tests-Core' with: 'Cormas-Tests-Core-SergeStinckwich.6';
			package: 'Cormas-Model-ECEC' with: 'Cormas-Model-ECEC-SergeStinckwich.5';
			package: 'Cormas-Model-Conway' with: 'Cormas-Model-Conway-SergeStinckwich.5';
			package: 'Cormas-Model-FireAutomata' with: 'Cormas-Model-FireAutomata-SergeStinckwich.6'. ].
! !

!ConfigurationOfCormas methodsFor: 'versions' stamp: 'SergeStinckwich 4/21/2015 10:00'!
version09: spec
	<version: '0.9' imports: #('0.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.9'.
		spec author: 'SergeStinckwich'.
		spec timestamp: '4/2/2015 21:43'.
		spec 
			package: 'Cormas-Core' with: 'Cormas-Core-SergeStinckwich.46';
			package: 'Cormas-HotDraw-Tools' with: 'Cormas-HotDraw-Tools-SergeStinckwich.5';
			package: 'Cormas-Model-ECEC' with: 'Cormas-Model-ECEC-SergeStinckwich.5';
			package: 'Cormas-Model-Conway' with: 'Cormas-Model-Conway-SergeStinckwich.5';
			package: 'Cormas-Model-FireAutomata' with: 'Cormas-Model-FireAutomata-SergeStinckwich.6'. ]
! !
